function bench_linsolve_PALU(LN,d,nbruns)
  setfun=@(varargin) fc_linalg3D.benchs.set_linsolve_LU(varargin{:});
  Lfun={ @(varargin) fc_linalg3D.solver.PALU(varargin{:}) };


  Comment={'# Solving systems by using PA=LU factorization :\n', ...
          ['#   function ',fc_tools.utils.funHandleName(Lfun{1}),'\n']};

  for type={'array3d','array2d'}
    fc_bench.bench(Lfun,setfun,'LN',LN,'d',d,'nbruns',nbruns,'rtype',type{1},'comment',Comment,'labelsinfo',true)
  end
end
