function bench_linsolve_triu(LN,d,nbruns)
  setfun=@(varargin) fc_linalg3D.benchs.set_linsolve_triu(varargin{:});
  Lfun={@(varargin) fc_linalg3D.solver.triu_Cpt(varargin{:}), ...
        @(varargin) fc_linalg3D.solver.triu_Mat(varargin{:}), ...
        @(varargin) fc_linalg3D.solver.triu_Vec(varargin{:})};
  Error=@(o1,o2) max(abs(o1(:)-o2(:)));
  Comment=['# Solving upperer triangular systems by using fc_linalg3D.solver.triu_* functions\n'];

  for type={'array3d','array2d'}
    fc_bench.bench(Lfun,setfun,'LN',LN,'d',d,'nbruns',nbruns,'error',Error,'rtype',type{1},'comment',Comment,'labelsinfo',true)
  end
end
