function d = detLaplace(A)
  [~,n] = size(A);
  if n == 1
    d = A;
  else
    d = 0;
    for j = 1:n
      d = d+(-1)^(j+1)*A(1,j)*fc_linalg3D.det.detLaplace(A(2:n, [1:j-1, j+1:n]));
    end
  end
end
